Bug 454474 - java.lang.IllegalStateException on client.auth.logout (XMLRPC)
java.lang.IllegalStateException on client.auth.logout (XMLRPC)
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
0.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
:
Depends On:
Blocks: space02
  Show dependency treegraph
 
Reported: 2008-07-08 14:21 EDT by Michael DeHaan
Modified: 2009-09-17 02:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 02:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2008-07-08 14:21:32 EDT
Description of problem:

I'm attempting to write a cobbler authn_spacewalk module to authenticate
Cobbler's XMLRPC against Spacewalk's XMLRPC.  Calling logout generated the
following remote traceback when using https://rlx-3-24.rhndev.redhat.com as my
test server.

2008-07-08 14:17:59,093 - remote - Exception occured: <class 'xmlrpclib.Fault'>
2008-07-08 14:17:59,094 - remote - Exception value: <Fault -1:
'java.lang.IllegalStateException: Stopwatch must be reset before being restarted. '>
Comment 1 Michael DeHaan 2008-07-08 14:23:32 EDT
This also happened just now when calling client.auth.login()
Comment 2 Michael DeHaan 2008-07-15 18:23:11 EDT
Here is a local bugreport that has a full trace:

https://www.redhat.com/archives/spacewalk-list/2008-July/msg00118.html
Comment 3 Miroslav Suchý 2008-07-24 07:17:30 EDT
This happen sat5.2 too. There we have java-1.5.0-ibm. So it is not related to
java 1.6.
Comment 4 Jesus M. Rodriguez 2008-07-29 14:53:13 EDT
This was related to building the code using commons-lang-2.0 and running with
commons-lang 2.1. Also, velocity-deps-1.5 included its own copy of StopWatch.

I've updated to commons-lang 2.1, and uses velocity-1.5 jar without all of its
dependencies, which is the proper way of doing it.
Comment 6 Devan Goodwin 2008-09-05 10:41:43 EDT
Verified logout now working in spacewalk 0.2.
Comment 7 Miroslav Suchý 2009-09-17 02:59:31 EDT
Spacewalk is released for long time.

Note You need to log in before you can comment on or make changes to this bug.